Package jaxe

# Class JaxeUndoableEdit

java.lang.Object
jaxe.JaxeUndoableEdit

All Implemented Interfaces:
  `UndoableEdit`

public class JaxeUndoableEdit extends Object implements UndoableEdit

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AJOUTER`
`int`
`ajsup`
`static final int`
`ERREUR`
`JaxeElement`
`je`
`int`
`offsetdebut`
`static final int`
`SUPPRIMER`
`String`
`texte`
`boolean`
`texteSansStyle`

## Constructor Summary

Constructors
Constructor
Description
`JaxeUndoableEdit(int ajsup, JaxeDocument doc, String texte, int offset)`
`JaxeUndoableEdit(int ajsup, JaxeDocument doc, String texte, int offset, boolean regrouper)`
`JaxeUndoableEdit(int ajsup, JaxeElement je)`
`JaxeUndoableEdit(int ajsup, JaxeElement je, boolean regrouper)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addEdit(UndoableEdit anEdit)`
`boolean`
`canRedo()`
`boolean`
`canUndo()`
`void`
`die()`
`void`
`doit()`
`String`
`getPresentationName()`
`String`
`getRedoPresentationName()`
`String`
`getUndoPresentationName()`
`boolean`
`isSignificant()`
`void`
`redo()`
`boolean`
`replaceEdit(UndoableEdit anEdit)`
`String`
`toString()`
`void`
`undo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ERREUR

public static final int ERREUR

See Also:
  - Constant Field Values

### AJOUTER

public static final int AJOUTER

See Also:
  - Constant Field Values

### SUPPRIMER

public static final int SUPPRIMER

See Also:
  - Constant Field Values

### ajsup

public int ajsup

### je

public JaxeElement je

### offsetdebut

public int offsetdebut

### texte

public String texte

### texteSansStyle

public boolean texteSansStyle

## Constructor Details

### JaxeUndoableEdit

public JaxeUndoableEdit(int ajsup, JaxeElement je)

### JaxeUndoableEdit

public JaxeUndoableEdit(int ajsup, JaxeElement je, boolean regrouper)

### JaxeUndoableEdit

public JaxeUndoableEdit(int ajsup, JaxeDocument doc, String texte, int offset)

### JaxeUndoableEdit

public JaxeUndoableEdit(int ajsup, JaxeDocument doc, String texte, int offset, boolean regrouper)

## Method Details

### addEdit

public boolean addEdit(UndoableEdit anEdit)

Specified by:
  `addEdit` in interface `UndoableEdit`

### canRedo

public boolean canRedo()

Specified by:
  `canRedo` in interface `UndoableEdit`

### canUndo

public boolean canUndo()

Specified by:
  `canUndo` in interface `UndoableEdit`

### die

public void die()

Specified by:
  `die` in interface `UndoableEdit`

### getPresentationName

public String getPresentationName()

Specified by:
  `getPresentationName` in interface `UndoableEdit`

### getRedoPresentationName

public String getRedoPresentationName()

Specified by:
  `getRedoPresentationName` in interface `UndoableEdit`

### getUndoPresentationName

public String getUndoPresentationName()

Specified by:
  `getUndoPresentationName` in interface `UndoableEdit`

### isSignificant

public boolean isSignificant()

Specified by:
  `isSignificant` in interface `UndoableEdit`

### redo

public void redo() throws CannotRedoException

Specified by:
  `redo` in interface `UndoableEdit`
Throws:
  `CannotRedoException`

### replaceEdit

public boolean replaceEdit(UndoableEdit anEdit)

Specified by:
  `replaceEdit` in interface `UndoableEdit`

### undo

public void undo() throws CannotUndoException

Specified by:
  `undo` in interface `UndoableEdit`
Throws:
  `CannotUndoException`

### doit

public void doit()

### toString

public String toString()

Overrides:
  `toString` in class `Object`